<!DOCTYPE HTML>
<html>
    <head>
        <!-- Add mobile responsive meta tag. -->
        <!-- Mobile Responsive Meta Tag -->

        <!-- Add bootstrap css -->
        <!-- Bootstrap Link -->

        <title>Developer Portfolio</title>

        <!-- CSS Bootstrap -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

    </head>
    <body>

        <!-- Navbar -->
        <!-- This div/nav element contains 3 links to home, aboutme and projects section -->
        <!-- Add a bootstrap class to fix the nav element at the top of the page. -->
        <!-- Add a bootstrap class to add a blue bg color to the navbar element-->
        <!-- Add padding to the navbar element using bootstrap classes-->
        <!-- Add a bootstrap class to center the links in the navbar -->
        <!-- Add a bootstrap class to the links that will remove the text-decoration of each link. -->
        <!-- Add margin on the left-side of the links -->
        <div id="navbar">

            <a href="">
                Home
            </a>
            <a href="">
                About Me
            </a>
            <a href="">
                Projects
            </a>

        </div>
        <!-- End of Navbar -->

        <!-- About Me -->
        <!-- Add a bootstrap class to the aboutme section which will center all the text/inline elements inside it. -->
        <div id="about-me">
            <!-- Add a bootstrap class to center the div that contains the picture and developer name.-->
            <div style="width: 25%;">
                <!-- Add a bootstrap class to the profilePicture element to round the picture. -->
                <!-- Add a bootstrap class to the profilePicture to disallow it from overflowing. -->
                <img id="profilePicture"src="https://i.guim.co.uk/img/media/3656ae6ea2209d4561caf04fa9f172a519908ca3/0_28_2318_1391/master/2318.jpg?width=1200&height=1200&quality=85&auto=format&fit=crop&s=afcc355f47876bc495cdc3c902639bae"/>
                <!-- Add a margin at the top of the profileText div element -->
                <div id="profileText">
                     <!-- Add a blue border at the bottom of the h2 inside the profileText div using bootstrap classes. -->           
                    <h2>
                        Ada Lovelace
                    </h2>
                    <!-- Add a margin at the top of the h4 inside the profileText div. -->
                    <!-- Add a bootstrap class to the h4 inside the profileText div to tranform the text to uppercase. -->
                    <h4>Full-Stack Web Developer</h4>
                </div>
                
            </div>
            <!-- Add a bootstrap class to center the introduction paragraph element.-->
            <!-- Add bootstrap class to add a margin at the top of the introduction paragraph element. -->
            <p id="introduction" style="width: 50%;" class="text-center mt-2">
                Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
            </p>

        </div>
        <!-- End of About Me -->

<!-- MEMBER 4 | ITEM # 10: Added class="text-center bg-secondary p-3"-->
        <!-- Projects -->
        <!-- Add a bootstrap class to the projects section which will center all the text/inline elements inside it. -->
        <!-- Add a bootstrap class to the projects section which will add a gray background color. -->
        <!-- Add a bootstrap class to the projects section which will add a padding inside the element. -->

        <div class="text-center bg-secondary p-3" id="projects" style="padding: 3rem; margin-bottom: 3rem;">

            <!-- Add a bootstrap class to the divs inside the projects section which will display each as inline-block. -->
            <!-- Add a bootstrap class to the divs inside the projects section which will round the corners of the element. -->
            <!-- Add a bootstrap class to the divs inside the projects section which will add a padding inside the element. -->
            <!-- Add a bootstrap class to the divs inside the projects section which will make the text light or white inside the element. -->
            <!-- Add a bootstrap class to the divs inside the projects section which will make the background dark inside the element. --> 
            <!-- Add a bootstrap class to the divs inside the projects section which will add margins between each divs. -->                        
            <div style="width: 25%;" class="d-inline-block p-3 text-light bg-dark m-4 rounded">
                <!-- Add a bootstrap class to the img element inside each div to disallow it from overflowing. -->
                <!-- Add a bootstrap class to the h3 element inside each div add a margin at the top of the element. -->
                <!-- Add a bootstrap class to the p element inside each div add a margin at the top of the element. -->
                <img src="https://getbootstrap.com/docs/4.0/examples/screenshots/album.png" class="rounded img-fluid">
                <h3>My First Project</h3>
                <p>A simple project made from HTML</p>
            </div>
            <div style="width: 25%;" class="d-inline-block p-3 text-light bg-dark m-4 rounded">
                <img src="https://getbootstrap.com/docs/4.0/examples/screenshots/jumbotron.png" class="rounded img-fluid">
                <h3>My Second Project</h3>
                <p>A simple project made from CSS</p>
            </div>
            <div style="width: 25%;" class="d-inline-block p-3 text-light bg-dark m-4 rounded">
                <img src="https://getbootstrap.com/docs/4.0/examples/screenshots/carousel.png" class="rounded img-fluid">
                <h3>My Third Project</h3>
                <p>A simple Bootstrap project.</p>
            </div>
        </div>
        <!-- End of Projects -->

<!-- MEMBER 4 | ITEM NO. 11: Added class="fixed-bottom bg-primary p-2 text-center text-white" -->
        <!-- Footer -->
        <!-- Add a bootstrap class to fix the footer element at the bottom of the page. -->
        <!-- Add a bootstrap class to add a blue bg color to the footer element-->
        <!-- Add padding to the footer element using bootstrap classes-->
        <!-- Add a bootstrap class to center the text in the footer -->
        <!-- Add a bootstrap class to color the text as light/white in the footer -->
        <div class="fixed-bottom bg-primary p-2 text-center text-white">
            <p>All assets are used for educational purposes only.</p>
        </div>
        <!-- End of Footer -->
        
        <!-- Add bootstrap js -->
        <!-- Bootstrap Script -->

        <!-- JS Bundle/Dependency -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
        <!-- End of Bootstrap Script -->

    </body>
</html>